package cn.hnthyy.thmz.service.impl.his;

import cn.hnthyy.thmz.entity.his.ZdChargeItem;
import cn.hnthyy.thmz.mapper.his.ZdChargeItemMapper;
import cn.hnthyy.thmz.service.his.ZdChargeItemService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;
@Service
public class ZdChargeItemServiceImpl implements ZdChargeItemService {
    @SuppressWarnings("all")
    @Autowired
    private ZdChargeItemMapper zdChargeItemMapper;
    @Override
    public ZdChargeItem queryZdChargeItemByCode(String code) {
        return zdChargeItemMapper.selectZdChargeItemByCode(code);
    }

    @Override
    public List<ZdChargeItem> queryZdChargeItemByCodeList(List<String> codes) {
        return zdChargeItemMapper.selectZdChargeItemByCodeList(codes);
    }

    @Override
    public List<String> queryAllHsmName() {
        return zdChargeItemMapper.selectAllHsmName();
    }
}
